View Issue Details

IDProjectCategoryView StatusLast Update
10287Development [All Projects] Survey editingpublic2016-04-12 10:48
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.05 
Target VersionFixed in Version2.06 
Summary10287: Expression are hardest to find in 2.5 than in 2.06
Description

In 2.06 : all expression are inside a inline bloc, with background.
In 2.50 : no background, and some css come only from theme and noty globally

Steps To Reproduce

Look at screenshot

Additional Information

I really think view clearly where is each expression is better
I think too this must not depend from admin template

We have some manual for syntax : https://manual.limesurvey.org/Expression_Manager#Syntax_Highlighting
It can be "default" by expression.css : for ALL admin theme AND all public template :
For included admin theme : it can be updated in theme if really needed (not usre it's a good idea , but ...)
For included public template : never update with cascading

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2016-02-03 14:49

developer  

2.50_em.png (16,371 bytes)
2.50_em.png (16,371 bytes)
DenisChenu

DenisChenu

2016-02-03 14:49

developer  

2.06_em.png (12,774 bytes)
2.06_em.png (12,774 bytes)
DenisChenu

DenisChenu

2016-02-03 14:50

developer   ~34531

Child of https://github.com/LimeSurvey/LimeSurvey/commit/4c5a875b6f1fed65d6baa720e22a7b294a2924c9#diff-f0e87e7b010a4154bf7ddfb095be237cL1

DenisChenu

DenisChenu

2016-02-03 14:50

developer  

limesurvey_survey_em_compare.lss (14,600 bytes)
DenisChenu

DenisChenu

2016-02-03 14:52

developer   ~34532

Last edited: 2016-02-03 14:52

View 2 revisions

I assign you Louis, because you remove the line from expression.css. I really think we must leave difference.
green is strange for function (i think), before it's used with Question code before group (page).

PS: i can easily fix it ....

LouisGac

LouisGac

2016-02-03 15:43

manager   ~34538

Denis : feel free to fix it. I still don't really know that part, so I don't really understand it, so I can't design it so well... You'll do it better than me, for sure.

DenisChenu

DenisChenu

2016-02-03 16:11

developer   ~34541

Ok, i just re-add the css. Feel free to choose another color .... this one is not so beautifull.

PS: in 2.06 : we have a 'global' css, used at first for all admin theme, did you think you re-add it or did you really don't want ?

LouisGac

LouisGac

2016-02-03 16:14

manager   ~34542

A global css for all template would be needed in fact. For all the css statements without color definition for example. This file should be loaded before the lime-admin (so lime-admin can overwrite it).

There is a huge work of CSS refactorisation to do.

DenisChenu

DenisChenu

2016-02-03 16:23

developer   ~34547

Oh, i don't think of css refactorisation, but actually i have a CSS/JS idea for this bug : https://bugs.limesurvey.org/view.php?id=9752
js can be in organize.js but css : global-admin.css or organize.css .... unsure

For global css: difference betwwen
layout.css (helper/.... anything.css) and limesurvey-specific.css

DenisChenu

DenisChenu

2016-02-04 17:13

developer   ~34577

Fixed in 2.50 version

c_schmitz

c_schmitz

2016-04-12 10:48

administrator   ~37244

Version 2.50+ Build 140413 released

Related Changesets

LimeSurvey: master 45eac73f

2016-02-04 15:52:58

DenisChenu

Details Diff
Dev: 10287: Expression are hardest to find in 2.5 than in 2.06
Dev: just reapply the same color
Dev: removed strong from default
Dev: removed updated color from theme : there are a background for expression
Dev: color are oldy ... maybe renew it ? ANd find a backfground for Dark or Clear theme
Affected Issues
10287
mod - styles/Apple_Blossom/css/lime-admin.css Diff File
mod - styles/Bay_of_Many/css/lime-admin.css Diff File
mod - styles/Black_Pearl/css/lime-admin.css Diff File
mod - styles/Dark_Sky/css/lime-admin.css Diff File
mod - styles/Free_Magenta/css/lime-admin.css Diff File
mod - styles/Purple_Tentacle/css/lime-admin.css Diff File
mod - styles/Sea_Green/css/lime-admin.css Diff File
mod - styles/Sunset_Orange/css/lime-admin.css Diff File
mod - styles/expressions.css Diff File

Issue History

Date Modified Username Field Change
2016-02-03 14:49 DenisChenu New Issue
2016-02-03 14:49 DenisChenu File Added: 2.50_em.png
2016-02-03 14:49 DenisChenu File Added: 2.06_em.png
2016-02-03 14:50 DenisChenu Note Added: 34531
2016-02-03 14:50 DenisChenu File Added: limesurvey_survey_em_compare.lss
2016-02-03 14:50 DenisChenu Assigned To => LouisGac
2016-02-03 14:50 DenisChenu Status new => assigned
2016-02-03 14:52 DenisChenu Note Added: 34532
2016-02-03 14:52 DenisChenu Note Edited: 34532 View Revisions
2016-02-03 15:43 LouisGac Note Added: 34538
2016-02-03 15:43 LouisGac Assigned To LouisGac => DenisChenu
2016-02-03 16:11 DenisChenu Note Added: 34541
2016-02-03 16:14 LouisGac Note Added: 34542
2016-02-03 16:23 DenisChenu Note Added: 34547
2016-02-04 17:13 DenisChenu Note Added: 34577
2016-02-04 17:13 DenisChenu Status assigned => resolved
2016-02-04 17:13 DenisChenu Fixed in Version => 2.06
2016-02-04 17:13 DenisChenu Resolution open => fixed
2016-02-04 17:16 DenisChenu Changeset attached => LimeSurvey master 45eac73f
2016-04-12 10:48 c_schmitz Note Added: 37244
2016-04-12 10:48 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing